<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">90</item> <!-- min brite -->
  <item name="bluetooth.active">86</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">400</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>   <!-- backlight 16 leds -->
  <item name="wifi.active">128</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item>
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">3020</item> <!-- 3400mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>13.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>4</value> <!-- cluster 0 has cpu0, cpu1, cpu2, cpu3 -->
  </array>
  <!-- big core para -->
  <!-- big core freq -->
  <array name="cpu.speeds">
    <value>850000</value> <!-- 533 MHz CPU speed -->
    <value>918000</value> <!-- 533 MHz CPU speed -->
    <value>987000</value> <!-- 533 MHz CPU speed -->
    <value>1056000</value> <!-- 533 MHz CPU speed -->
    <value>1125000</value> <!-- 533 MHz CPU speed -->
    <value>1216000</value> <!-- 533 MHz CPU speed -->
    <value>1308000</value> <!-- 533 MHz CPU speed -->
    <value>1400000</value> <!-- 533 MHz CPU speed -->
    <value>1466000</value> <!-- 533 MHz CPU speed -->
    <value>1533000</value> <!-- 999 MHz CPU speed -->
    <value>1633000</value> <!-- 1.4 GHz CPU speed -->
    <value>1700000</value><!-- 1.7 GHz CPU speed -->
    <value>1767000</value><!-- 1.8 GHz CPU speed -->
    <value>1834000</value><!-- 2.1 GHz CPU speed -->
    <value>1917000</value><!-- 2.3 GHz CPU speed -->
    <value>2001000</value><!-- 2.6 GHz CPU speed -->
  </array>
  <!-- big core Power consumption at different speeds -->
  <array name="cpu.active">
    <value>90</value>
    <value>91</value>
    <value>92</value>
    <value>93</value>
    <value>94</value>
    <value>95</value>
    <value>96</value>
    <value>98</value>
    <value>99</value>
    <value>100</value>
    <value>103</value>
    <value>105</value>
    <value>106</value>
    <value>112</value>
    <value>115</value>
    <value>117</value>
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">3.0</item>
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">35</item>
</device>
